Passa al contenuto principale

GET /teams/:uuid/members

List all members belonging to the team.

Required Parameters​

ParameterTypeDescription
uuidstringThe uuid of the team

Optional Parameters​

ParameterTypeDescription
pagenumberThe page number to be returned. Default is 1.
statusstringThe status of the team member. Possible values are available and away.

Example Request​

curl -X GET "https://api.callbell.eu/v1/teams/ad42a09715814e6483b1c5debd6a2dbc/members" \
-H "Authorization: Bearer test_gshuPaZoeEG6ovbc8M79w0QyM" \
-H "Content-Type: application/json"

Response​

ParameterTypeDescription
usersTeamMember[]A list of team members.

Example Response​

response.json
{
"users": [
{
"email": "john1@gmail.com",
"name": "John One",
"available": true,
"lastUpdatedAt": "2024-07-17T18:54:49Z",
},
{
"email": "john2@gmail.com",
"name": "John Two",
"available": true,
"lastUpdatedAt": "2024-07-17T18:54:49Z",
"userCustomStatus": {
"updatedAt": "2025-02-04T20:21:31Z",
"id": "0d6041a2-8b88-49ec-a99b-a88a078a16c1",
"name": "Vacationing",
"emoji": "🌴"
}
}
],
"meta": {
"page": 1,
"pages": 1
}
}